import {
	POST
} from './Request.js';
let app = getApp();
let base = app.globalData.url;


//新增门店图片
export const insertStoreImg = params => {
	return POST('POST', `${base}/storeImg/insertStoreImg`, params).then(res => res.data);
}

//查询门店图片列表
export const getBsStoreImgByList = params => {
	return POST('GET', `${base}/storeImg/getBsStoreImgByList`, params).then(res => res.data);
}

//删除门店图片
export const deleteStoreImg = params => {
	return POST('GET', `${base}/storeImg/deleteStoreImg`, params).then(res => res.data);
}

//根据id查询门店图片详情
export const getStoreImgById = params => {
	return POST('GET', `${base}/storeImg/getStoreImgById`, params).then(res => res.data);
}

//新增门店产品
export const insertStoreProduct = params => {
	return POST('POST', `${base}/storeProduct/insertStoreProduct`, params).then(res => res.data);
}
//编辑门店产品
export const editStoreProduct = params => {
	return POST('POST', `${base}/storeProduct/editStoreProduct`, params).then(res => res.data);
}

//门店产品列表
export const getStoreProductByList = params => {
	return POST('GET', `${base}/storeProduct/getStoreProductByList`, params).then(res => res.data);
}

//查询门店产品详情
export const getStoreProductById = params => {
	return POST('GET', `${base}/storeProduct/getStoreProductById`, params).then(res => res.data);
}